FailedOk

th/SRPMS[OK]
th/x32[OK]
th/i686[OK]
th/x86_64[OK]

ac/SRPMS[OK]
ac/i386[OK]
ac/i586[OK]
ac/i686[OK]
ac/alpha[OK]
ac/amd64[OK]
ac/athlon[OK]
ac/ppc[OK]
ac/sparc[OK]
ac/sparc64[OK]

Advanced Search
main()
Powered by PLD Linux
(c) 2002-2020 PLD Team
$Revision: 1.37 $
Powered by foobarbaz.
Your IP: 35.169.107.85

pcl e57a2751-8dd1-4e96-b112-8ea21f3eab54

Status:Failed
Source URL:https://buildlogs.pld-linux.org/pld/th/x86_64/FAIL/pcl,e57a2751-8dd1-4e96-b112-8ea21f3eab54.bz2
text/plain URL:View!
full text:View!
rpm -qa of builder:View!
Date:2020/08/01 08:58:24
Runtime:0:00:12.488645

Toc:

  • error 1
  • rpm: error: Failed build dependencies:
  • error 2
  • rpm: error: Failed build dependencies:
  • prep
  • Executing(%prep): /bin/sh -e /tmp/B.YaBMIV/BUILD/tmp/rpm-tmp.64421
  • build
  • Executing(%build): /bin/sh -e /tmp/B.YaBMIV/BUILD/tmp/rpm-tmp.84031
  • error 3
  • /tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/common/include/pcl/PCLPointCloud2.h:11:10: fatal error: boost/detail/endian.hpp: No such file or directory
  • error 4
  • compilation terminated.
  • error 5
  • make[2]: *** [common/CMakeFiles/pcl_common.dir/build.make:99: common/CMakeFiles/pcl_common.dir/src/pcl_base.cpp.o] Error 1
  • error 6
  • make[1]: *** [CMakeFiles/Makefile2:1075: common/CMakeFiles/pcl_common.dir/all] Error 2
  • error 7
  • error: Bad exit status from /tmp/B.YaBMIV/BUILD/tmp/rpm-tmp.84031 (%build)
  • error 8
  • RPM build errors:
  • error 9
  • error: No files produced.

Content:

checking if we should skip the build
started at: Sat Aug  1 08:57:28 2020
killing old processes on a builder
sending signal 9 to pid -1
Killed
cleaning up /tmp
fetching https://srcbuilder.pld-linux.org/th//srpms/e57a2751-8dd1-4e96-b112-8ea21f3eab54/pcl-1.9.1-2.src.rpm
fetched 66692761 bytes, 5495.9 K/s
installing srpm: pcl-1.9.1-2.src.rpm
+ install -d /tmp/B.YaBMIV/BUILD /tmp/B.YaBMIV/RPMS
+ LC_ALL=en_US.UTF-8
+ rpm -qp --changelog pcl-1.9.1-2.src.rpm
* Sat Aug 01 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pcl.git;a=log;h=master
* Thu Oct 10 2019 Jan Rękorajski <baggins@pld-linux.org> 9bb8d1a
- rebuild with boost 1.71 and icu 65.1 - release 2 (by relup.sh) + rpm -Uhv --nodeps --define '_topdir /tmp/B.YaBMIV' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' pcl-1.9.1-2.src.rpm Preparing... ################################################## pcl ################################################## + rm -f pcl-1.9.1-2.src.rpm + install -m 700 -d /tmp/B.YaBMIV/BUILD/tmp + TMPDIR=/tmp/B.YaBMIV/BUILD/tmp + exec nice -n 0 rpmbuild -bp --short-circuit --nodeps --define '_topdir /tmp/B.YaBMIV' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux --define 'prep exit 0' /tmp/B.YaBMIV/pcl.spec Building target platforms: x86_64-pld-linux checking BuildConflict-ing packages no BuildConflicts found checking BR rpm: error: Failed build dependencies: rpm: netcdf-cxx-devel is needed by pcl-1.9.1-2.src rpm: vtk-devel >= 6 is needed by pcl-1.9.1-2.src rpm: vtk-java >= 6 is needed by pcl-1.9.1-2.src rpm: vtk-tcl >= 6 is needed by pcl-1.9.1-2.src rpm: python3-sphinxcontrib-doxylink >= 1.3 is needed by pcl-1.9.1-2.src rpm: Building target platforms: x86_64-pld-linux updating poldek cache... ready is up to date th is up to date th is up to date th-ready is up to date th-ready is up to date th-test is up to date th-test is up to date checking conflicting packages in BRed packages poldek: Loading [pndir]ready... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th... poldek: Loading [pndir]th... poldek: 30573 packages read poldek: Removed 2049 duplicate packages from available set poldek: Processing dependencies... poldek: netcdf-cxx-devel-4.2-6.x86_64 marks netcdf-devel-4.7.3-1.x86_64 (cap netcdf-devel >= 4.2) poldek: There are 6 packages to install (1 marked by dependencies): poldek: A netcdf-cxx-devel-4.2-6.x86_64 netcdf-devel-4.7.3-1.x86_64 poldek: A python3-sphinxcontrib-doxylink-1.3-8.noarch vtk-devel-8.1.1-7.x86_64 poldek: A vtk-java-8.1.1-7.x86_64 vtk-tcl-8.1.1-7.x86_64 poldek: This operation will use 111.7MB of disk space. poldek: Need to get 20.5MB of archives (20.5MB to download). poldek: poldek: Retrieving [1/6] th::netcdf-devel-4.7.3-1.x86_64.rpm.......................................done poldek: Retrieving [2/6] th::netcdf-cxx-devel-4.2-6.x86_64.rpm.....................................done poldek: Retrieving [3/6] th::vtk-devel-8.1.1-7.x86_64.rpm..........................................done poldek: Retrieving [4/6] th::vtk-java-8.1.1-7.x86_64.rpm...........................................done poldek: Retrieving [5/6] th::vtk-tcl-8.1.1-7.x86_64.rpm............................................done poldek: Retrieving [6/6] th::python3-sphinxcontrib-doxylink-1.3-8.noarch.rpm..............................done poldek: Executing pm-command.sh --upgrade -vh --test --root / --define _check_dirname_deps 1... poldek: Preparing... ################################################## no conflicts found checking BR rpm: error: Failed build dependencies: rpm: netcdf-cxx-devel is needed by pcl-1.9.1-2.src rpm: vtk-devel >= 6 is needed by pcl-1.9.1-2.src rpm: vtk-java >= 6 is needed by pcl-1.9.1-2.src rpm: vtk-tcl >= 6 is needed by pcl-1.9.1-2.src rpm: python3-sphinxcontrib-doxylink >= 1.3 is needed by pcl-1.9.1-2.src rpm: Building target platforms: x86_64-pld-linux installing BR: vtk\-tcl vtk\-devel netcdf\-cxx\-devel python3\-sphinxcontrib\-doxylink vtk\-java + poldek --noask --caplookup -Q -v '--ignore=hhvm-*' '--ignore=php4-*' '--ignore=php52-*' '--ignore=php54-*' '--ignore=php55-*' '--ignore=php56-*' '--ignore=php70-*' '--ignore=php71-*' '--ignore=php72-*' '--ignore=php73-*' '--ignore=php74-*' --upgrade vtk-tcl vtk-devel netcdf-cxx-devel python3-sphinxcontrib-doxylink vtk-java Loading [pndir]ready... Loading [pndir]th-test... Loading [pndir]th-test... Loading [pndir]th-ready... Loading [pndir]th-ready... Loading [pndir]th... Loading [pndir]th... 30573 packages read Removed 2049 duplicate packages from available set Processing dependencies... netcdf-cxx-devel-4.2-6.x86_64 marks netcdf-devel-4.7.3-1.x86_64 (cap netcdf-devel >= 4.2) There are 2 packages to install (1 marked by dependencies): A netcdf-cxx-devel-4.2-6.x86_64 netcdf-devel-4.7.3-1.x86_64 This operation will use 10.7MB of disk space. Need to get 1.1MB of archives. Executing pm-command.sh --upgrade -vh --root / --define _check_dirname_deps 1... Preparing... ################################################## netcdf-devel ################################################## netcdf-cxx-devel ################################################## Installing set #2 Processing dependencies... There are 3 packages to install: A vtk-devel-8.1.1-7.x86_64 vtk-java-8.1.1-7.x86_64 A vtk-tcl-8.1.1-7.x86_64 This operation will use 100.9MB of disk space. Need to get 19.5MB of archives. Executing pm-command.sh --upgrade -vh --root / --define _check_dirname_deps 1... Preparing... ################################################## vtk-tcl ################################################## vtk-devel ################################################## vtk-java ################################################## Installing set #3 Processing dependencies... There are 1 package to install: A python3-sphinxcontrib-doxylink-1.3-8.noarch This operation will use 59.9KB of disk space. Need to get 21.7KB of archives. Executing pm-command.sh --upgrade -vh --root / --define _check_dirname_deps 1... Preparing... ################################################## python3-sphinxcontrib-doxyli################################################## building RPM using: set -ex; : build-id: e57a2751-8dd1-4e96-b112-8ea21f3eab54; TMPDIR=/tmp/B.YaBMIV/BUILD/tmp exec nice -n 0 rpmbuild -bb --define '_smp_mflags -j9' --define '_make_opts -Otarget' --define '_pld_builder 1' --define '_topdir /tmp/B.YaBMIV' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux /tmp/B.YaBMIV/pcl.spec + : build-id: e57a2751-8dd1-4e96-b112-8ea21f3eab54 + TMPDIR=/tmp/B.YaBMIV/BUILD/tmp + exec nice -n 0 rpmbuild -bb --define '_smp_mflags -j9' --define '_make_opts -Otarget' --define '_pld_builder 1' --define '_topdir /tmp/B.YaBMIV' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux /tmp/B.YaBMIV/pcl.spec Building target platforms: x86_64-pld-linux Executing(%prep): /bin/sh -e /tmp/B.YaBMIV/BUILD/tmp/rpm-tmp.64421 + umask 022 + cd /tmp/B.YaBMIV/BUILD + cd /tmp/B.YaBMIV/BUILD + rm -rf pcl-pcl-1.9.1 + /bin/gzip -dc /tmp/B.YaBMIV/pcl-1.9.1.tar.gz + /bin/tar -xf - + STATUS=0 + '[' 0 -ne 0 ']' + cd pcl-pcl-1.9.1 + /bin/id -u + '[' 1000 '=' 0 ']' + /bin/id -u + '[' 1000 '=' 0 ']' + /bin/chmod -Rf a+rX,u+w,g-w,o-w . + echo 'Patch #0 (oom.patch):' Patch #0 (oom.patch): + '[' -f /tmp/B.YaBMIV/oom.patch ']' + /bin/cat /tmp/B.YaBMIV/oom.patch + /usr/bin/patch -s -p1 + exit 0 Executing(%build): /bin/sh -e /tmp/B.YaBMIV/BUILD/tmp/rpm-tmp.84031 TMP=/home/users/builder/tmp HOME=/home/users/builder PATH=/home/users/builder/GNUstep/Tools:/bin:/usr/bin:/usr/local/bin:/home/users/builder/bin TMPDIR=/tmp/B.YaBMIV/BUILD/tmp + umask 022 + cd /tmp/B.YaBMIV/BUILD + cd pcl-pcl-1.9.1 + mkdir build + cd build + CC=x86_64-pld-linux-gcc CXX=x86_64-pld-linux-g++ CPPFLAGS='' /usr/bin/cmake -Wno-dev '-DCMAKE_VERBOSE_MAKEFILE=ON' '-DCMAKE_BUILD_TYPE=PLD' '-DCMAKE_INSTALL_BINDIR:PATH=/usr/bin' '-DCMAKE_INSTALL_SBINDIR:PATH=/usr/sbin' '-DCMAKE_INSTALL_LIBEXECDIR:PATH=/usr/libexec' '-DCMAKE_INSTALL_SYSCONFDIR:PATH=/etc' '-DCMAKE_INSTALL_SHAREDSTATEDIRPATH:PATH=/var/lib' '-DCMAKE_INSTALL_LOCALSTATEDIRPATH:PATH=/var' '-DCMAKE_INSTALL_LIBDIR:PATH=/usr/lib64' '-DCMAKE_INSTALL_INCLUDEDIR:PATH=/usr/include' '-DCMAKE_INSTALL_OLDINCLUDEDIR:PATH=/usr/include' '-DCMAKE_INSTALL_DATAROOTDIR:PATH=/usr/share' '-DCMAKE_INSTALL_DATADIR:PATH=/usr/share' '-DCMAKE_INSTALL_INFODIR:PATH=/usr/share/info' '-DCMAKE_INSTALL_LOCALEDIR:PATH=/usr/share/locale' '-DCMAKE_INSTALL_MANDIR:PATH=/usr/share/man' '-DCMAKE_INSTALL_DOCDIR:PATH=/usr/share/doc' '-DCMAKE_INSTALL_PREFIX:PATH=/usr' '-DSYSCONF_INSTALL_DIR:PATH=/etc' '-DCMAKE_CXX_FLAGS_PLD=-O2 -fwrapv -pipe -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fPIC -march=x86-64 -DNDEBUG -DQT_NO_DEBUG' '-DCMAKE_C_FLAGS_PLD=-O2 -fwrapv -pipe -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fPIC -march=x86-64 -DNDEBUG -DQT_NO_DEBUG' '-DCMAKE_Fortran_FLAGS_PLD=-O2 -fwrapv -pipe -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fPIC -march=x86-64 -DNDEBUG -DQT_NO_DEBUG' '-DCMAKE_EXE_LINKER_FLAGS_PLD=-Wl,--as-needed -Wl,--no-copy-dt-needed-entries -Wl,-z,relro -Wl,-z,combreloc ' '-DCMAKE_SHARED_LINKER_FLAGS_PLD=-Wl,--as-needed -Wl,--no-copy-dt-needed-entries -Wl,-z,relro -Wl,-z,combreloc ' '-DCMAKE_MODULE_LINKER_FLAGS_PLD=-Wl,--as-needed -Wl,--no-copy-dt-needed-entries -Wl,-z,relro -Wl,-z,combreloc ' '-DLIB_SUFFIX=64' '-DBUILD_SHARED_LIBS:BOOL=ON' .. '-DLIB_INSTALL_DIR=lib64' '-DFZAPI_DIR=/usr' '-DFZAPI_INCLUDE_DIR=/usr/include' '-DFZAPI_LIBS=/usr/lib64/libfz_api.so' '-DWITH_DOCS=ON' '-DWITH_TUTORIALS=ON' '-DPCL_ENABLE_SSE=OFF' -- The C compiler identification is GNU 10.2.0 -- The CXX compiler identification is GNU 10.2.0 -- Check for working C compiler: /usr/bin/x86_64-pld-linux-gcc -- Check for working C compiler: /usr/bin/x86_64-pld-linux-gcc - works -- Detecting C compiler ABI info -- Detecting C compiler ABI info - done -- Detecting C compile features -- Detecting C compile features - done -- Check for working CXX compiler: /usr/bin/x86_64-pld-linux-g++ -- Check for working CXX compiler: /usr/bin/x86_64-pld-linux-g++ - works -- Detecting CXX compiler ABI info -- Detecting CXX compiler ABI info - done -- Detecting CXX compile features -- Detecting CXX compile features - done -- Found PkgConfig: /usr/bin/pkg-config (found version "0.29.2") -- -- GCC > 4.3 found, enabling -Wabi -- Found OpenMP_C: -fopenmp (found version "4.5") -- Found OpenMP_CXX: -fopenmp (found version "4.5") -- Found OpenMP: TRUE (found version "4.5") -- Found OpenMP -- Checking for module 'eigen3' -- Found eigen3, version 3.3.7 -- Found Eigen: /usr/include/eigen3 -- Eigen found (include: /usr/include/eigen3, version: 3.3.7) -- Checking for module 'flann>=1.7.0' -- Found flann, version 1.9.1 -- FLANN found (include: , lib: flann;flann_cpp) -- Found LIBUSB_1: /usr/lib64/libusb-1.0.so -- Checking for module 'libusb-1.0' -- Found libusb-1.0, version 1.0.23 -- Found USB_10: /usr/lib64/libusb-1.0.so -- Found OpenNI: /usr/lib64/libOpenNI.so -- OpenNI found (include: /usr/include/ni, lib: /usr/lib64/libOpenNI.so) -- Found OpenNI2: /usr/lib64/libOpenNI2.so -- OpenNI2 found (include: /usr/include/openni2, lib: /usr/lib64/libOpenNI2.so) -- Could NOT find FZAPI (missing: FZAPI_INCLUDE_DIRS) -- Fotonic camera support: not building because FZAPI not found -- Could NOT find ENSENSO (missing: ENSENSO_LIBRARIES ENSENSO_INCLUDE_DIRS) -- IDS-Imaging Ensenso camera support: not building because Ensenso not found -- Could NOT find davidSDK (missing: DAVIDSDK_LIBRARY DAVIDSDK_INCLUDE_DIR) -- David Vision Systems SDK support: not building because davidSDK not found -- Could NOT find DSSDK (missing: DSSDK_LIBRARIES DSSDK_INCLUDE_DIRS) -- DepthSense SDK support: not building because DSSDK not found -- Could NOT find RSSDK (missing: RSSDK_LIBRARIES RSSDK_INCLUDE_DIRS) -- RealSense SDK support: not building because RSSDK not found -- Checking for module 'metslib' -- No package 'metslib' found -- Found ZLIB: /usr/lib64/libz.so (found version "1.2.11") -- Found PNG: /usr/lib64/libpng.so (found version "1.6.37") -- Found Qhull: optimized;/usr/lib64/libqhull_p.so;debug;/usr/lib64/libqhull_p.so -- QHULL found (include: /usr/include, lib: optimized;/usr/lib64/libqhull_p.so;debug;/usr/lib64/libqhull_p.so) -- VTK_MAJOR_VERSION 8, rendering backend: OpenGL2 -- VTK found (include: /usr/include/vtk;/usr/include;/usr/include/freetype2;/usr/include/libxml2;/usr/include/python2.7;/usr/include/jsoncpp, lib: vtksys;vtkCommonCore;vtkCommonMath;vtkCommonMisc;vtkCommonSystem;vtkCommonTransforms;vtkCommonDataModel;vtkCommonColor;vtkCommonExecutionModel;vtkCommonComputationalGeometry;vtkFiltersCore;vtkFiltersGeneral;vtkImagingCore;vtkImagingFourier;vtkalglib;vtkFiltersStatistics;vtkFiltersExtraction;vtkInfovisCore;vtkFiltersGeometry;vtkFiltersSources;vtkRenderingCore;/usr/lib64/libz.so;/usr/lib64/libfreetype.so;vtkRenderingFreeType;vtkRenderingContext2D;vtkChartsCore;/usr/lib64/liblz4.so;vtkIOCore;vtkIOLegacy;/usr/lib64/libexpat.so;vtkIOXMLParser;vtkIOXML;/usr/lib64/libxml2.so;vtkIOInfovis;vtkglew;vtkRenderingOpenGL2;vtkRenderingContextOpenGL2;vtkDICOMParser;vtkmetaio;/usr/lib64/libjpeg.so;/usr/lib64/libpng.so;/usr/lib64/libtiff.so;vtkIOImage;vtkTestingRendering;vtkImagingSources;vtkFiltersHybrid;vtkFiltersModeling;vtkImagingColor;vtkImagingGeneral;vtkImagingHybrid;vtkInteractionStyle;vtkRenderingAnnotation;vtkRenderingVolume;vtkInteractionWidgets;vtkViewsCore;vtkViewsContext2D;vtkFiltersGeneric;vtkIOGeometry;vtkTestingGenericBridge;vtkDomainsChemistry;vtkDomainsChemistryOpenGL2;vtkParallelCore;vtkFiltersAMR;/usr/lib64/libhdf5.so;/usr/lib64/libsz.so;/usr/lib64/libdl.so;/usr/lib64/libm.so;/usr/lib64/libhdf5_hl.so;vtkIOAMR;/usr/lib64/libnetcdf.so;vtkexoIIc;vtkIOExodus;vtkImagingMath;vtkRenderingVolumeOpenGL2;vtkFiltersFlowPaths;vtkFiltersImaging;vtkRenderingLabel;vtkFiltersHyperTree;vtkImagingStencil;vtkFiltersParallel;vtkFiltersParallelImaging;vtkFiltersPoints;vtkFiltersProgrammable;/usr/lib64/libpython2.7.so;vtkWrappingTools;vtkWrappingPythonCore;vtkFiltersPython;vtkFiltersReebGraph;vtkFiltersSMP;vtkFiltersSelection;verdict;vtkFiltersVerdict;/usr/lib64/libnetcdf_c++.so;vtkIONetCDF;/usr/lib64/libjsoncpp.so;vtkIOParallel;vtkFiltersTexture;vtkFiltersTopology;vtkGUISupportQt;vtksqlite;vtkIOSQL;vtkGUISupportQtSQL;vtkInfovisLayout;vtkproj4;vtkGeovisCore;vtkViewsInfovis;vtkViewsGeovis;vtkIOEnSight;vtkgl2ps;vtkRenderingGL2PSOpenGL2;vtklibharu;vtkIOExport;vtkIOExportOpenGL2;vtkInteractionImage;/usr/lib64/libtheoraenc.so;/usr/lib64/libtheoradec.so;/usr/lib64/libogg.so;vtkIOMovie;vtkIOFFMPEG;vtkIOGDAL;vtkIOGeoJSON;vtkIOImport;vtkIOLSDyna;vtkIOMINC;vtkIOMySQL;vtkTestingIOSQL;vtkIOODBC;vtkIOPLY;vtkIOParallelExodus;vtkIOParallelLSDyna;vtkIOParallelXML;vtkIOPostgreSQL;vtkIOTecplotTable;VPIC;vtkIOVPIC;vtkIOVideo;vtkxdmf2;vtkIOXdmf2;vtkImagingStatistics;vtkRenderingImage;vtkImagingMorphological;vtkInfovisBoostGraphAlgorithms;vtkRenderingLOD;vtkPythonInterpreter;vtkRenderingMatplotlib;vtkRenderingFreeTypeFontConfig;vtkRenderingParallel;vtkRenderingQt;vtkViewsQt;vtkWrappingJava -- Found PCAP: /usr/lib64/libpcap.so -- Looking for pthread.h -- Looking for pthread.h - found -- Performing Test CMAKE_HAVE_LIBC_PTHREAD -- Performing Test CMAKE_HAVE_LIBC_PTHREAD - Success -- Found Threads: TRUE -- Found Boost: /usr/include (found suitable version "1.73.0", minimum required is "1.47.0") found components: filesystem thread date_time iostreams chrono system atomic regex -- Found OpenGL: /usr/lib64/libGL.so -- Found Glew: /usr/lib64/libGLEW.so -- Checking for module 'sphinx-build' -- No package 'sphinx-build' found -- Found PythonInterp: /usr/bin/python (found version "2.7.18") -- Found Sphinx: /usr/bin/sphinx-build -- Found Doxygen: /usr/bin/doxygen (found version "1.8.8") found components: doxygen dot -- DOXYGEN_FOUND YES -- HTML_HELP_COMPILER -- The following subsystems will be built: -- common -- kdtree -- octree -- search -- sample_consensus -- filters -- 2d -- geometry -- io -- features -- ml -- segmentation -- visualization -- surface -- registration -- keypoints -- tracking -- recognition -- stereo -- outofcore -- people -- tools -- The following subsystems will not be built: -- apps: No reason -- examples: Code examples are disabled by default. -- simulation: Disabled by default. -- global_tests: No reason -- Configuring done -- Generating done CMake Warning: Manually-specified variables were not used by the project: CMAKE_Fortran_FLAGS_PLD CMAKE_INSTALL_BINDIR CMAKE_INSTALL_DATADIR CMAKE_INSTALL_DATAROOTDIR CMAKE_INSTALL_DOCDIR CMAKE_INSTALL_INCLUDEDIR CMAKE_INSTALL_INFODIR CMAKE_INSTALL_LIBDIR CMAKE_INSTALL_LIBEXECDIR CMAKE_INSTALL_LOCALEDIR CMAKE_INSTALL_LOCALSTATEDIRPATH CMAKE_INSTALL_MANDIR CMAKE_INSTALL_OLDINCLUDEDIR CMAKE_INSTALL_SBINDIR CMAKE_INSTALL_SHAREDSTATEDIRPATH CMAKE_INSTALL_SYSCONFDIR FZAPI_DIR FZAPI_INCLUDE_DIR LIB_SUFFIX SYSCONF_INSTALL_DIR -- Build files have been written to: /tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/build + /usr/bin/make -Otarget -j9 -j1 /usr/bin/cmake -S/tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1 -B/tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/build --check-build-system CMakeFiles/Makefile.cmake 0 /usr/bin/cmake -E cmake_progress_start /tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/build/CMakeFiles /tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/build/CMakeFiles/progress.marks /usr/bin/make -f CMakeFiles/Makefile2 all make[1]: Entering directory '/tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/build' /usr/bin/make -f common/CMakeFiles/pcl_common.dir/build.make common/CMakeFiles/pcl_common.dir/depend make[2]: Entering directory '/tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/build' cd /tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/build && /usr/bin/cmake -E cmake_depends "Unix Makefiles" /tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1 /tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/common /tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/build /tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/build/common /tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/build/common/CMakeFiles/pcl_common.dir/DependInfo.cmake --color= Scanning dependencies of target pcl_common make[2]: Leaving directory '/tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/build' /usr/bin/make -f common/CMakeFiles/pcl_common.dir/build.make common/CMakeFiles/pcl_common.dir/build make[2]: Entering directory '/tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/build' [ 0%] Building CXX object common/CMakeFiles/pcl_common.dir/src/point_types.cpp.o cd /tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/build/common && /usr/bin/x86_64-pld-linux-g++ -DPCLAPI_EXPORTS -DQT_CONCURRENT_LIB -DQT_CORE_LIB -DQT_GUI_LIB -DQT_OPENGL_LIB -DQT_WIDGETS_LIB -Dqh_QHpointer -DvtkDomainsChemistry_AUTOINIT="1(vtkDomainsChemistryOpenGL2)" -DvtkIOExodus_AUTOINIT="1(vtkIOParallelExodus)" -DvtkIOExport_AUTOINIT="1(vtkIOExportOpenGL2)" -DvtkIOSQL_AUTOINIT="2(vtkIOMySQL,vtkIOPostgreSQL)" -DvtkRenderingContext2D_AUTOINIT="1(vtkRenderingContextOpenGL2)" -DvtkRenderingCore_AUTOINIT="3(vtkInteractionStyle,vtkRenderingFreeType,vtkRenderingOpenGL2)" -DvtkRenderingFreeType_AUTOINIT="2(vtkRenderingFreeTypeFontConfig,vtkRenderingMatplotlib)" -DvtkRenderingOpenGL2_AUTOINIT="1(vtkRenderingGL2PSOpenGL2)" -DvtkRenderingVolume_AUTOINIT="1(vtkRenderingVolumeOpenGL2)" -I/tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/recognition/include/pcl/recognition/3rdparty -I/usr/include/qt5 -I/usr/include/qt5/QtCore -I/usr/lib64/qt5/./mkspecs/linux-g++ -I/usr/include/qt5/QtGui -I/usr/include/qt5/QtWidgets -I/usr/include/qt5/QtConcurrent -I/usr/include/qt5/QtOpenGL -I/usr/include/vtk -I/usr/include/freetype2 -I/usr/include/libxml2 -I/usr/include/python2.7 -I/usr/include/jsoncpp -I/tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/build/include -I/tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/common/include -isystem /usr/include/eigen3 -isystem /usr/include/ni -isystem /usr/include/openni2 -Wall -Wextra -Wno-unknown-pragmas -fno-strict-aliasing -Wno-format-extra-args -Wno-sign-compare -Wno-invalid-offsetof -Wno-conversion -Wabi -pthread -fopenmp -O2 -fwrapv -pipe -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fPIC -march=x86-64 -DNDEBUG -DQT_NO_DEBUG -fPIC -o CMakeFiles/pcl_common.dir/src/point_types.cpp.o -c /tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/common/src/point_types.cpp cc1plus: warning: '-Wabi' won't warn about anything [-Wabi] cc1plus: note: '-Wabi' warns about differences from the most up-to-date ABI, which is also used by default cc1plus: note: use e.g. '-Wabi=11' to warn about changes from GCC 7 [ 0%] Building CXX object common/CMakeFiles/pcl_common.dir/src/pcl_base.cpp.o cd /tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/build/common && /usr/bin/x86_64-pld-linux-g++ -DPCLAPI_EXPORTS -DQT_CONCURRENT_LIB -DQT_CORE_LIB -DQT_GUI_LIB -DQT_OPENGL_LIB -DQT_WIDGETS_LIB -Dqh_QHpointer -DvtkDomainsChemistry_AUTOINIT="1(vtkDomainsChemistryOpenGL2)" -DvtkIOExodus_AUTOINIT="1(vtkIOParallelExodus)" -DvtkIOExport_AUTOINIT="1(vtkIOExportOpenGL2)" -DvtkIOSQL_AUTOINIT="2(vtkIOMySQL,vtkIOPostgreSQL)" -DvtkRenderingContext2D_AUTOINIT="1(vtkRenderingContextOpenGL2)" -DvtkRenderingCore_AUTOINIT="3(vtkInteractionStyle,vtkRenderingFreeType,vtkRenderingOpenGL2)" -DvtkRenderingFreeType_AUTOINIT="2(vtkRenderingFreeTypeFontConfig,vtkRenderingMatplotlib)" -DvtkRenderingOpenGL2_AUTOINIT="1(vtkRenderingGL2PSOpenGL2)" -DvtkRenderingVolume_AUTOINIT="1(vtkRenderingVolumeOpenGL2)" -I/tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/recognition/include/pcl/recognition/3rdparty -I/usr/include/qt5 -I/usr/include/qt5/QtCore -I/usr/lib64/qt5/./mkspecs/linux-g++ -I/usr/include/qt5/QtGui -I/usr/include/qt5/QtWidgets -I/usr/include/qt5/QtConcurrent -I/usr/include/qt5/QtOpenGL -I/usr/include/vtk -I/usr/include/freetype2 -I/usr/include/libxml2 -I/usr/include/python2.7 -I/usr/include/jsoncpp -I/tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/build/include -I/tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/common/include -isystem /usr/include/eigen3 -isystem /usr/include/ni -isystem /usr/include/openni2 -Wall -Wextra -Wno-unknown-pragmas -fno-strict-aliasing -Wno-format-extra-args -Wno-sign-compare -Wno-invalid-offsetof -Wno-conversion -Wabi -pthread -fopenmp -O2 -fwrapv -pipe -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fPIC -march=x86-64 -DNDEBUG -DQT_NO_DEBUG -fPIC -o CMakeFiles/pcl_common.dir/src/pcl_base.cpp.o -c /tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/common/src/pcl_base.cpp cc1plus: warning: '-Wabi' won't warn about anything [-Wabi] cc1plus: note: '-Wabi' warns about differences from the most up-to-date ABI, which is also used by default cc1plus: note: use e.g. '-Wabi=11' to warn about changes from GCC 7 In file included from /tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/common/include/pcl/pcl_base.h:55, from /tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/common/include/pcl/impl/pcl_base.hpp:40, from /tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/common/src/pcl_base.cpp:39: /tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/common/include/pcl/PCLPointCloud2.h:11:10: fatal error: boost/detail/endian.hpp: No such file or directory 11 | #include <boost/detail/endian.hpp> | ^~~~~~~~~~~~~~~~~~~~~~~~~ compilation terminated. make[2]: *** [common/CMakeFiles/pcl_common.dir/build.make:99: common/CMakeFiles/pcl_common.dir/src/pcl_base.cpp.o] Error 1 make[2]: Leaving directory '/tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/build' make[1]: *** [CMakeFiles/Makefile2:1075: common/CMakeFiles/pcl_common.dir/all] Error 2 make[1]: Leaving directory '/tmp/B.YaBMIV/BUILD/pcl-pcl-1.9.1/build' make: *** [Makefile:164: all] Error 2 error: Bad exit status from /tmp/B.YaBMIV/BUILD/tmp/rpm-tmp.84031 (%build) RPM build errors: Bad exit status from /tmp/B.YaBMIV/BUILD/tmp/rpm-tmp.84031 (%build) ended at: Sat Aug 1 08:58:24 2020, done in 0:00:12.488645 error: No files produced. + chmod -R u+rwX /tmp/B.YaBMIV/BUILD + rm -rf /tmp/B.YaBMIV/tmp /tmp/B.YaBMIV/BUILD + rm -rf /tmp/B.YaBMIV Begin-PLD-Builder-Info Build-Time: user:21.47s sys:5.11s real:56.86s (faults io:2 non-io:858530) End-PLD-Builder-Info
[Back to list of logs] [View rpm -qa of builder]